Avisos
Vaciar todo

Actualizar Joomla a la última versión  

Página 1 / 4
 
JOSE LUIS
 JOSE LUIS
Prominent Member

Buenas, quiero adaptar mi web a móviles y me han aconsejado que actualiza Joomla a la última versión para poder cambiar de plantilla.
Mi versión es:
Joomla! 2.5.22
VirtueMart 2.6.6
¿Qué versión y qué plantilla de Joomla sería la más adecuada para sufrir los mínimos cambios?
Gracias

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 14/04/2015 12:30 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

Realmente no sería necesario actualizar a Joomla 3 para poder utilizar una plantilla de tipo responsive que se adapte a los dispositivos móviles. En todo caso es algo que sí sería recomendable, ya que Joomla 2.5 ha dejado de recibir soporte oficial.

En el siguiente artículo de nuestro blog se explica cómo migrar de Joomla 2.5 y a Joomla 3:

En tu caso además deberás actualizar Virtuemart a la versión 3, ya que tu versión 2.6.6 no es compatible con Joomla 3.

En este otro artículo de nuestro blog se explica cómo actualizar esto, aunque es un artículo específico para determinadas plantilla. De todas formas la mayor parte de los pasos servirían para tu caso:

Recuerda que es muy importante hacer una copia de seguridad antes de proceder. Incluso sería mejor opción hacer antes un clon de la web para poder hacer las pruebas de actualización antes de pasar a la web real.

ResponderCitar
Respondido : 14/04/2015 4:02 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

JOSE LUIS
 JOSE LUIS
Prominent Member

Hola. He intentado actualizar Joomla a 3 paro no he podido, se me queda la pantalla en blanco y no me da ningún error, intento hacer lo que me dicen para solucionar el error de la página en blanco y no lo consigo. Esto es lo que he hecho:
Si durante el proceso de actualización se presenta el problema de "pantalla en blanco" puedes consultar el artículo que hemos publicado Soluciona el problema de pantalla en blanco después de actualizar a Joomla 3.3 - Fatal error: Call to a member function get() in remember.php donde explicamos como resolver este inconveniente.
Además un poco más abajo me da el siguiente consejo:
Es importante que tengas presente que Joomla 2.5.x es una rama LTS cuyo tiempo de vida está estimado hasta diciembre de 2014 por lo que si no es imprescindible que migres a Joomla 3.3 (rama STS)es mejor que mantengas tu instalación de Joomla en la versión 2.5.x LTS y esperes a la liberación de Joomla 3.4 LTS, de esta forma te garantizas trabajar con ramas estables y con un soporte más duradero.
¡¡¡¡¡¡Por favor!!!!! aconsejarme ¿que puedo hacer? yo solo quiero adaptar mi web a móviles, me da lo mismo la plantilla, la versión...quiero tener lo que tengo pero adaptado. Y no perder más tiemppo
Gracias

ResponderCitar
Respondido : 16/04/2015 12:10 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

En primer lugar revisa el archivo error_log que tienes en la raíz de tu sitio web para ver si hay algún tipo de información sobre el error que se está produciendo. Revisa también el archivo error_log que hay dentro del directorio administrator, en caso de que exista el archivo.

Si no ves ninguna información prueba a ir al directorio libraries y renombra el directorio fof como fof_BAK. A continuación sube en este directorio libraries el archivo adjunto y descomprímelo. Esto generará un nuevo directorio fof. Puedes hacer esto con el administrador de archivos de CPanel. Comprueba si esto soluciona el problema.

ResponderCitar
Respondido : 16/04/2015 3:21 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

JOSE LUIS
 JOSE LUIS
Prominent Member

Hola de nuevo, ¿Cuándo será la liberación de Joomla 3.4 LTS?

ResponderCitar
Respondido : 04/05/2015 12:42 pm
Rafael
 Rafael
Miembro Moderator

¡Hola Jose Luís!

Revisa los siguientes artículos por si son de utilidad para resolver la consulta que nos planteas:

https://www.webempresa.com/blog/item/1626-joomla-3-4-lo-que-esta-por-llegar.html

Aunque me temo que el camino será que no haya más versiones STS/LTS (generan excesiva confusión entre usuarios y desarrolladores obligados a mantener versiones duales de extensiones).

Saludos

ResponderCitar
Respondido : 04/05/2015 12:52 pm

Cursos Gratuitos WordPress

JOSE LUIS
 JOSE LUIS
Prominent Member

¿Esto quiere decir que la versión LTS será compatible con STS?

ResponderCitar
Respondido : 04/05/2015 1:17 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Actualmente puedes pasar directamente de Joomla 2.5.x a Joomla 3.x, especificamente 3.4.x que es la versión estable , revisa la pantalla de actualización de tu sitio

No te compliques con STS esto es sólo para desarrolladores, de manera genera sólo instala lo que te sugerie Joomla con la opcion de larga duración LTS

Saludos.

ResponderCitar
Respondido : 04/05/2015 6:25 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

JOSE LUIS
 JOSE LUIS
Prominent Member

Entonces quieres decirme que puedo actualizar Joomla! 2.5.22 a Joomla! 3. sin tener problema

ResponderCitar
Respondido : 05/05/2015 1:31 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

Quitando las posibles dificultades de proceso de actualización, es recomendable actualizar de Joomla 2.5 a la última versión disponible de Joomla 3, que actualmente es la 3.4.1.

ResponderCitar
Respondido : 05/05/2015 3:55 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

JOSE LUIS
 JOSE LUIS
Prominent Member

Vale, lo voy a volver a intentar, ¿Esas dificultades me ayudarás a salvarlas?

ResponderCitar
Respondido : 05/05/2015 9:01 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Si, puedes volver a consultar a través de foro si lo requieres

Saludos.

ResponderCitar
Respondido : 05/05/2015 10:42 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

JOSE LUIS
 JOSE LUIS
Prominent Member

Buenas, estoy clonando la página de nuevo, he seguido todos los pasos del tutorial https://www.webempresa.com/blog/clonar-joomla-desde-el-panel-de-administracion-del-hosting.html
En el minuto 9:39 me dice que haga cambios en viertumat y me he encontrado con el siguiente problema:
Contenido solo visible a usuarios registrados
Decidme si eso es un problema o si no hago los cambios pasa algo
Gracias

ResponderCitar
Respondido : 05/05/2015 11:02 pm
Rafael
 Rafael
Miembro Moderator

¡Hola Jose Luis!

Lo primero comentarte que nunca subas imágenes sin ocultar donde contengan datos sensibles sobre tu página web por motivos de seguridad. Ten en cuenta que en menos de una hora, Google indexa la consulta que nos haces.

En relación a la consulta, aprecio que las rutas para actualizar en la carpeta clon son correctas.

Sigue adelante con el proceso de clonado y sigue los pasos de actualización.

Cualquier duda, consúltanos. Estaremos encantados de poder ayudarte.

Un saludo

ResponderCitar
Respondido : 06/05/2015 1:01 am

Cursos Gratuitos WordPress

JOSE LUIS
 JOSE LUIS
Prominent Member

Ok! entonces esa parte de cambiar configuración en virtuemart me la salto?
Por favor volverme a pasar el enlace del tutorial para actualizar Joomla! 2.5.22

ResponderCitar
Respondido : 06/05/2015 11:10 am
Página 1 / 4